<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content">

    <!--基础信息 -->
    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:clipChildren="true"
        app:layout_constraintDimensionRatio="345:169"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <androidx.appcompat.widget.AppCompatImageView
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:rotationY="@integer/locale_mirror_flip"
            app:layout_constraintDimensionRatio="345:209"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:srcCompat="@drawable/wallet_bean_card_bg" />

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/btn_bean_more"
            android:layout_width="wrap_content"
            android:layout_height="30dp"
            android:adjustViewBounds="true"
            android:visibility="gone"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:srcCompat="@drawable/wallet_bean_more_ic"
            tools:visibility="visible" />

        <androidx.constraintlayout.widget.Guideline
            android:id="@+id/v_start"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            app:layout_constraintGuide_begin="29dp" />

        <androidx.constraintlayout.widget.Guideline
            android:id="@+id/v_end"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            app:layout_constraintGuide_end="29dp" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_balance_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:ellipsize="end"
            android:fontFamily="@font/poppins_semibold"
            android:includeFontPadding="false"
            android:singleLine="true"
            android:text="@string/wallet_your_balance"
            android:textColor="@color/color_FF1D2129"
            android:textSize="14sp"
            app:layout_constrainedWidth="true"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="@id/v_start"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintVertical_bias="0.2"
            app:layout_constraintVertical_chainStyle="packed" />

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/iv_bean"
            android:layout_width="19dp"
            android:layout_height="19dp"
            app:layout_constraintBottom_toBottomOf="@id/tv_balance"
            app:layout_constraintStart_toStartOf="@id/tv_balance_title"
            app:layout_constraintTop_toTopOf="@id/tv_balance"
            app:srcCompat="@drawable/common_wallet_bean_ic" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_balance"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="2dp"
            android:layout_marginEnd="12dp"
            android:ellipsize="end"
            android:fontFamily="@font/poppins_semibold"
            android:includeFontPadding="false"
            android:singleLine="true"
            android:text="--"
            android:textColor="@color/color_FF1D2129"
            android:textSize="24sp"
            app:layout_constrainedWidth="true"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintHorizontal_bias="0"
            app:layout_constraintStart_toEndOf="@id/iv_bean"
            app:layout_constraintTop_toBottomOf="@id/tv_balance_title"
            app:layout_constraintVertical_chainStyle="packed" />

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/cl_unsettled"
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:layout_marginEnd="12dp"
            android:paddingTop="20dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toStartOf="@id/v_divider"
            app:layout_constraintStart_toStartOf="@id/v_start"
            app:layout_constraintTop_toBottomOf="@id/tv_balance">

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tv_unsettled_title"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:ellipsize="end"
                android:fontFamily="@font/poppins_semibold"
                android:includeFontPadding="false"
                android:singleLine="true"
                android:text="@string/wallet_unsettled_balance"
                android:textColor="@color/color_FF1D2129"
                android:textSize="12sp"
                app:layout_constrainedWidth="true"
                app:layout_constraintBottom_toTopOf="@id/iv_unsettled_bean"
                app:layout_constraintEnd_toStartOf="@id/iv_unavailable_tips"
                app:layout_constraintHorizontal_bias="0"
                app:layout_constraintHorizontal_chainStyle="packed"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                app:layout_constraintVertical_bias="0"
                app:layout_constraintVertical_chainStyle="packed"
                tools:text="asjdlkfjalsdjfklaskldfjlasjdflkasd" />

            <androidx.appcompat.widget.AppCompatImageView
                android:id="@+id/iv_unavailable_tips"
                android:layout_width="12dp"
                android:layout_height="12dp"
                android:layout_marginStart="6dp"
                app:layout_constraintBottom_toBottomOf="@id/tv_unsettled_title"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toEndOf="@id/tv_unsettled_title"
                app:layout_constraintTop_toTopOf="@id/tv_unsettled_title"
                app:srcCompat="@drawable/wallet_bean_unavailable_ic" />

            <androidx.appcompat.widget.AppCompatImageView
                android:id="@+id/iv_unsettled_bean"
                android:layout_width="18dp"
                android:layout_height="18dp"
                android:layout_marginTop="5.5dp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintStart_toStartOf="@id/tv_unsettled_title"
                app:layout_constraintTop_toBottomOf="@id/tv_unsettled_title"
                app:srcCompat="@drawable/common_wallet_bean_ic" />

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tv_unsettled_balance"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="2dp"
                android:layout_marginEnd="12dp"
                android:ellipsize="end"
                android:fontFamily="@font/poppins_semibold"
                android:includeFontPadding="false"
                android:singleLine="true"
                android:text="--"
                android:textColor="@color/color_FF1D2129"
                android:textSize="16sp"
                app:layout_constrainedWidth="true"
                app:layout_constraintBottom_toBottomOf="@id/iv_unsettled_bean"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintHorizontal_bias="0"
                app:layout_constraintStart_toEndOf="@id/iv_unsettled_bean"
                app:layout_constraintTop_toTopOf="@id/iv_unsettled_bean"
                app:layout_constraintVertical_chainStyle="packed" />

        </androidx.constraintlayout.widget.ConstraintLayout>

        <View
            android:id="@+id/v_divider"
            android:layout_width="1dp"
            android:layout_height="40dp"
            android:background="@color/color_FFF3DBBC"
            app:layout_constraintBottom_toBottomOf="@id/cl_available"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="@id/cl_available"
            app:layout_constraintVertical_bias="0.3" />

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/cl_available"
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:layout_marginStart="18dp"
            android:paddingTop="20dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toStartOf="@id/v_end"
            app:layout_constraintStart_toEndOf="@id/v_divider"
            app:layout_constraintTop_toBottomOf="@id/tv_balance">

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tv_available_title"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:ellipsize="end"
                android:fontFamily="@font/poppins_semibold"
                android:includeFontPadding="false"
                android:singleLine="true"
                android:text="@string/wallet_available_balance"
                android:textColor="@color/color_FF1D2129"
                android:textSize="12sp"
                app:layout_constrainedWidth="true"
                app:layout_constraintBottom_toTopOf="@id/iv_available_bean"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintHorizontal_bias="0"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                app:layout_constraintVertical_bias="0"
                app:layout_constraintVertical_chainStyle="packed" />

            <androidx.appcompat.widget.AppCompatImageView
                android:id="@+id/iv_available_bean"
                android:layout_width="18dp"
                android:layout_height="18dp"
                android:layout_marginTop="5.5dp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintStart_toStartOf="@id/tv_available_title"
                app:layout_constraintTop_toBottomOf="@id/tv_available_title"
                app:srcCompat="@drawable/common_wallet_bean_ic" />

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tv_available_balance"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="2dp"
                android:layout_marginEnd="12dp"
                android:ellipsize="end"
                android:fontFamily="@font/poppins_semibold"
                android:includeFontPadding="false"
                android:singleLine="true"
                android:text="--"
                android:textColor="@color/color_FF1D2129"
                android:textSize="16sp"
                app:layout_constrainedWidth="true"
                app:layout_constraintBottom_toBottomOf="@id/iv_available_bean"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintHorizontal_bias="0"
                app:layout_constraintStart_toEndOf="@id/iv_available_bean"
                app:layout_constraintTop_toTopOf="@id/iv_available_bean"
                app:layout_constraintVertical_chainStyle="packed" />

        </androidx.constraintlayout.widget.ConstraintLayout>


    </androidx.constraintlayout.widget.ConstraintLayout>

</androidx.constraintlayout.widget.ConstraintLayout>